#include "Employee.h"
#include <iostream>

#include "stdafx.h"

using namespace std;

int main()
{
	string name = "Jane Doe", todo1="test1", todo2="test2", todo3="test3", todo4="test4";
	
	Employee e(name, 300, 3);
	cout << "Name: "   << e.GetName() << endl;
	cout << "Salary: " << e.GetSalary() << endl << endl;

	e.SetRating(0,  5);
	e.SetRating(1,  4);
	e.SetRating(2,  4);
	e.SetRating(3,  3);
	e.SetRating(4,  5);
	e.SetRating(5,  5);
	e.SetRating(6,  4);
	e.SetRating(7,  4);
	e.SetRating(8,  5);
	e.SetRating(9,  5);
	e.SetRating(10, 3);
	e.SetRating(11, 5);

	cout << "Ratings each month: " << endl;
	for (int i = 0; i <TOT_MONTHS; i++)
	{
		cout << e.GetRating(i) << endl;
	}

	cout << "Companies: " << endl;
	e.DisplayCompanies();

	e.AddTodo(todo1);
	e.AddTodo(todo2);
	e.AddTodo(todo3);
	e.AddTodo(todo4);
	cout << "Todo list: " << endl;
	e.DisplayTodoList();

	cout << endl;

	e.TodoComplete();
	e.DisplayTodoList();

	if (e.IsOverworked())
	{
		cout << "I SHOULD BE GETTING PAID MORE!" << endl;
	}
	else
	{
		cout << "Gimme more work, I got some spare cycles here!" << endl;
	}
	
	return 0;
}